For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/site/option‑fields

get

Get join option fields

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
siteidintegerRequired
option_type_idintegerOptionalDefault: 0
specialstringOptionalDefault: 0
no_cost_regstringOptionalDefault: 0
Responses
200

success

successbooleanOptionalExample: true
get/api/site/option-fields
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'siteid' => '2',
		'option_type_id' => 1,
		'special' => 0,
		'no_cost_reg' => 1
	);

$request = array(
	'method' => 'GET',
	'path' => 'site/option-fields',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "fields": {
    "details": {
      "name": {
        "name": "name",
        "display": "Title",
        "required": 0,
        "section": "main",
        "special_design": true
      },
      "initial_days": {
        "name": "initial_days",
        "display": "Registration Period",
        "check": "alnum_number_check",
        "section": "main",
        "special_design": true
      },
      "no_old_members": {
        "name": "no_old_members",
        "display": "Disallow for Old Members",
        "type": "checkbox",
        "section": "misc",
        "special_design": false
      },
      "hidden": {
        "name": "hidden",
        "display": "Hide on Join Form",
        "type": "checkbox",
        "section": "misc",
        "special_design": false
      },
      "active_all": {
        "name": "active_all",
        "display": "Active by Default",
        "type": "checkbox",
        "section": "misc",
        "special_design": false
      }
    },
    "no_cost_details": {
      "name": {
        "name": "name",
        "display": "Join Form Text",
        "required": true,
        "section": "main",
        "special_design": true
      },
      "initial_days": {
        "name": "initial_days",
        "display": "Registration Period",
        "check": "alnum_number_check",
        "section": "main",
        "special_design": true
      },
      "no_old_members": {
        "name": "no_old_members",
        "display": "Disallow for Old Members",
        "type": "checkbox",
        "section": "misc",
        "special_design": false
      },
      "hidden": {
        "name": "hidden",
        "display": "Hide on Join Form",
        "type": "checkbox",
        "section": "misc",
        "special_design": false
      },
      "active_all": {
        "name": "active_all",
        "display": "Active by Default",
        "type": "checkbox",
        "section": "misc",
        "special_design": false
      }
    },
    "xsell_gateway_fields": null,
    "extra_outgoing_sale_gateway_fields": {
      "disable_ssl_verify": {
        "name": "disable_ssl_verify",
        "display": "Disable SSL Verify",
        "type": "checkbox",
        "required": false
      }
    },
    "details_list": [
      {
        "name": "name",
        "display": "Title",
        "required": 0,
        "section": "main",
        "special_design": true
      },
      {
        "name": "initial_days",
        "display": "Registration Period",
        "check": "alnum_number_check",
        "section": "main",
        "special_design": true
      },
      {
        "name": "no_old_members",
        "display": "Disallow for Old Members",
        "type": "checkbox",
        "section": "misc",
        "special_design": false
      },
      {
        "name": "hidden",
        "display": "Hide on Join Form",
        "type": "checkbox",
        "section": "misc",
        "special_design": false
      },
      {
        "name": "active_all",
        "display": "Active by Default",
        "type": "checkbox",
        "section": "misc",
        "special_design": false
      }
    ]
  }
}

Last updated

Was this helpful?